## mesa 7.6.1

=== Makefile ===
PACKAGE:=Mesa
VERSION:=7.6.1
SOURCE:=MesaDemos-$(VERSION).tar.gz MesaGLUT-$(VERSION).tar.gz MesaLib-$(VERSION).tar.gz
URLS:=ftp://ftp.freedesktop.org/pub/mesa/$(VERSION)

include ../Rules.make

=== debian/changelog ===
mesa (7.6.1) unstable; urgency=low

  * New upstream release
  * Add mesa-demos package with glxinfo and glxgears

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 02 Mar 2010 17:27:00 +0300

mesa (7.5.2) unstable; urgency=low

  * New upstream release

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 27 Oct 2009 15:07:00 +0300

mesa (7.4.4) unstable; urgency=low

  * New upstream release

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 11 Aug 2009 11:07:00 +0300

mesa (7.4.2) unstable; urgency=low

  * New upstream release

 -- Kaj-Michael Lang <milang@tal.org>  Wed, 20 May 2009 23:30:15 +0300

mesa (7.2) unstable; urgency=low

  * Initial packaging, based on freemantle mesa package.

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 06 Jan 2009 23:30:15 +0300

=== debian/control ===
Source: mesa
Section: libs
Priority: optional
Maintainer: Kaj-Michael Lang <milang@tal.org>
Build-Depends: cdbs (>= 0.4.21), debhelper (>= 4.1.0), pkg-config (>= 0.18), 
 libx11-dev, libxext-dev, libxt-dev, x11proto-gl-dev (>= 1.4.9), libxfixes-dev, libxmu-dev, libxi-dev
Standards-Version: 3.8.0

Package: libgl1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GL library
 Mesa software rendering GL library. This library is required for applications
 using OpenGL to render graphics. 

Package: libgl-dev
Section: libdevel
Architecture: any
Depends: libgl1 (= ${Source-Version})
Description: GL library development files
 Mesa GL library development files

Package: libgl1-dbg
Section: libs
Architecture: any
Depends: libgl1 (= ${Source-Version})
Description: GL library debug symbols
 Mesa GL library debug symbols

Package: mesa-demos
Section: user/demos
Architecture: armel
Depends: libgl1 (= ${Source-Version})
Description: Mesa GL demos

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

# Make sure we get properly optimized
DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp
DEB_OPT_FLAG_i386:=-O2 -fomit-frame-pointer -pipe -march=i686 -mtune=pentium2
DEB_OPT_FLAG:=$(DEB_OPT_FLAG_$(DEB_HOST_ARCH))

DEB_TAR_SRCDIR:=Mesa-7.6.1

include /usr/share/cdbs/1/rules/tarball.mk

DEB_CONFIGURE_EXTRA_FLAGS:=--with-driver=xlib --disable-glw

DEB_DH_STRIP_ARGS:=--dbg-package=libgl1

install/mesa-demos::
	install -d -m 755 debian/mesa-demos/usr/bin
	install $(DEB_BUILDDIR)/progs/xdemos/glxinfo debian/mesa-demos/usr/bin/
	install $(DEB_BUILDDIR)/progs/xdemos/glxgears debian/mesa-demos/usr/bin/

## mesa 7.7.1

=== progs/demos/Makefile ===
# progs/demos/Makefile

TOP = ../..
include $(TOP)/configs/current

INCDIR = $(TOP)/include

LIB_DEP = $(TOP)/$(LIB_DIR)/$(GL_LIB_NAME) $(TOP)/$(LIB_DIR)/$(GLU_LIB_NAME) \
	$(TOP)/$(LIB_DIR)/$(GLUT_LIB_NAME)

LIBS = -L$(TOP)/$(LIB_DIR) -l$(GLUT_LIB) -l$(GLEW_LIB) -l$(GLU_LIB) -l$(GL_LIB) \
	$(APP_LIB_DEPS)

PROGS = \
	arbfplight \
	arbfslight \
	arbocclude \
	bounce \
	clearspd \
	copypix \
	cubemap \
	dinoshade \
	drawpix \
	engine \
	fbo_firecube \
	fbotexture \
	fire \
	fogcoord \
	fplight \
	fslight \
	gamma \
	gearbox \
	gears \
	geartrain \
	glinfo \
	gloss \
	gltestperf \
	isosurf \
	ipers \
	lodbias \
	morph3d \
	multiarb \
	paltex \
	pointblast \
	projtex \
	rain \
	ray \
	readpix \
	reflect \
	renormal \
	shadowtex \
	singlebuffer \
	spectex \
	spriteblast \
	stex3d \
	teapot \
	terrain \
	tessdemo \
	texcyl \
	texenv \
	textures \
	trispd \
	tunnel \
	tunnel2 \
	vao_demo \
	winpos


##### RULES #####

.SUFFIXES:
.SUFFIXES: .c
.SUFFIXES: .cxx

# make executable from .c file:
.c: $(LIB_DEP) readtex.o
	$(APP_CC) -I$(INCDIR) $(CFLAGS) $(LDFLAGS) $< readtex.o $(LIBS) -o $@


##### TARGETS #####

default: $(PROGS)

$(PROGS): readtex.o

readtex.c: $(TOP)/progs/util/readtex.c
	cp $< .

readtex.h: $(TOP)/progs/util/readtex.h
	cp $< .

readtex.o: readtex.c readtex.h
	$(APP_CC) -c -I$(INCDIR) $(CFLAGS) readtex.c


showbuffer.c: $(TOP)/progs/util/showbuffer.c
	cp $< .

showbuffer.h: $(TOP)/progs/util/showbuffer.h
	cp $< .

showbuffer.o: showbuffer.c showbuffer.h
	$(APP_CC) -c -I$(INCDIR) $(CFLAGS) showbuffer.c


trackball.c: $(TOP)/progs/util/trackball.c
	cp $< .

trackball.h: $(TOP)/progs/util/trackball.h
	cp $< .

trackball.o: trackball.c trackball.h
	$(APP_CC) -c -I$(INCDIR) $(CFLAGS) trackball.c


extfuncs.h:  $(TOP)/progs/util/extfuncs.h
	cp $< .


reflect: reflect.o showbuffer.o readtex.o
	$(APP_CC) $(CFLAGS) $(LDFLAGS) reflect.o showbuffer.o readtex.o $(LIBS) -o $@

reflect.o: reflect.c showbuffer.h
	$(APP_CC) -c -I$(INCDIR) $(CFLAGS) reflect.c


gloss: gloss.o trackball.o readtex.o
	$(APP_CC) $(CFLAGS) $(LDFLAGS) gloss.o trackball.o readtex.o $(LIBS) -o $@

gloss.o: gloss.c trackball.h
	$(APP_CC) -c -I$(INCDIR) $(CFLAGS) gloss.c


engine: engine.o trackball.o readtex.o
	$(APP_CC) $(CFLAGS) $(LDFLAGS) engine.o trackball.o readtex.o $(LIBS) -o $@

engine.o: engine.c trackball.h
	$(APP_CC) -c -I$(INCDIR) $(CFLAGS) engine.c


fbotexture: fbotexture.o
	$(APP_CC) $(CFLAGS) $(LDFLAGS) fbotexture.o $(LIBS) -o $@

fbotexture.o: fbotexture.c extfuncs.h
	$(APP_CC) -c -I$(INCDIR) $(CFLAGS) fbotexture.c


fslight: fslight.o
	$(APP_CC) $(CFLAGS) $(LDFLAGS) fslight.o $(LIBS) -o $@

fslight.o: fslight.c extfuncs.h
	$(APP_CC) -c -I$(INCDIR) $(CFLAGS) fslight.c

rain: particles.o rain.o readtex.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) $^ $(LIBS) -o $@

rain.o: rain.cxx readtex.h
	$(CXX) -c -I$(INCDIR) $(CXXFLAGS) $<

particles.o: particles.cxx
	$(CXX) -c -I$(INCDIR) $(CXXFLAGS) $<


viewdds: viewdds.c
	$(CC) -I$(INCDIR) $(CFLAGS) $< readtex.o $(LIBS) -L. -lgltc -o $@


clean:
	-rm -f $(PROGS)
	-rm -f *.o *~
	-rm -f readtex.[ch] showbuffer.[ch]

=== src/mesa/Makefile ===
# src/mesa/Makefile

TOP = ../..
include $(TOP)/configs/current

include sources.mak

.SUFFIXES : .cpp

.c.o:
	$(CC) -c $(INCLUDE_DIRS) $(CFLAGS) $< -o $@

.cpp.o:
	$(CXX) -c $(INCLUDE_DIRS) $(CXXFLAGS) $< -o $@

.S.o:
	$(CC) -c $(INCLUDE_DIRS) $(CFLAGS) $< -o $@




# Default: build dependencies, then asm_subdirs, then convenience
# libs (.a) and finally the device drivers:
default: depend asm_subdirs libmesa.a libmesagallium.a libglapi.a \
	driver_subdirs



######################################################################
# Helper libraries used by many drivers:

# Make archive of core mesa object files
libmesa.a: $(MESA_OBJECTS)
	@ $(MKLIB) -o mesa -static $(MESA_OBJECTS)

# Make archive of subset of core mesa object files for gallium
libmesagallium.a: $(MESA_GALLIUM_OBJECTS)
	@ $(MKLIB) -o mesagallium -static $(MESA_GALLIUM_OBJECTS)

# Make archive of gl* API dispatcher functions only
libglapi.a: $(GLAPI_OBJECTS)
	$(MKLIB) -o glapi -static $(GLAPI_OBJECTS)

######################################################################
# Device drivers
driver_subdirs: libmesa.a libglapi.a libmesagallium.a
	@ (cd drivers && $(MAKE))


######################################################################
# Assembly subdirs
asm_subdirs:
	@ if echo "$(ASM_FLAGS)" | grep -q USE_X86_ASM ; then \
		(cd x86 && $(MAKE)) || exit 1 ; \
	fi
	@ if echo "$(ASM_FLAGS)" | grep -q USE_X86_64_ASM ; then \
		(cd x86 && $(MAKE)) || exit 1 ; \
		(cd x86-64 && $(MAKE)) || exit 1 ; \
	fi


######################################################################
# Dependency generation

depend: $(ALL_SOURCES)
	@ echo "running $(MKDEP)"
	@ touch depend
	@$(MKDEP) $(MKDEP_OPTIONS) $(DEFINES) $(INCLUDE_DIRS) $(ALL_SOURCES) \
		> /dev/null 2>/dev/null


######################################################################
# Installation rules

# this isn't fleshed out yet but is probably the way to go in the future
new_install:
	(cd drivers && $(MAKE) install)


# XXX replace this with new_install above someday
install: default
	@for driver in $(DRIVER_DIRS) ; do \
	  case "$$driver" in \
	    osmesa) if [ "$(DRIVER_DIRS)" = osmesa ]; then \
	              $(MAKE) install-headers install-osmesa || exit 1 ; \
	            else \
	              $(MAKE) install-osmesa || exit 1 ; \
	            fi ;; \
	    dri)    $(MAKE) install-libgl install-dri || exit 1 ;; \
	    *)      $(MAKE) install-libgl || exit 1 ;; \
	  esac ; \
	done


gl_pcedit = sed \
	-e 's,@INSTALL_DIR@,$(INSTALL_DIR),' \
	-e 's,@INSTALL_LIB_DIR@,$(INSTALL_LIB_DIR),' \
	-e 's,@INSTALL_INC_DIR@,$(INSTALL_INC_DIR),' \
	-e 's,@VERSION@,$(MESA_MAJOR).$(MESA_MINOR).$(MESA_TINY),' \
	-e 's,@GL_PC_REQ_PRIV@,$(GL_PC_REQ_PRIV),' \
	-e 's,@GL_PC_LIB_PRIV@,$(GL_PC_LIB_PRIV),' \
	-e 's,@GL_PC_CFLAGS@,$(GL_PC_CFLAGS),' \
	-e 's,@GL_LIB@,$(GL_LIB),'

gl.pc: gl.pc.in
	$(gl_pcedit) $< > $@

osmesa_pcedit = sed \
	-e 's,@INSTALL_DIR@,$(INSTALL_DIR),' \
	-e 's,@INSTALL_LIB_DIR@,$(INSTALL_LIB_DIR),' \
	-e 's,@INSTALL_INC_DIR@,$(INSTALL_INC_DIR),' \
	-e 's,@VERSION@,$(MESA_MAJOR).$(MESA_MINOR).$(MESA_TINY),' \
	-e 's,@OSMESA_LIB@,$(OSMESA_LIB),' \
	-e 's,@OSMESA_PC_REQ@,$(OSMESA_PC_REQ),' \
	-e 's,@OSMESA_PC_LIB_PRIV@,$(OSMESA_PC_LIB_PRIV),'

osmesa.pc: osmesa.pc.in
	$(osmesa_pcedit) $< > $@

install-headers:
	$(INSTALL) -d $(DESTDIR)$(INSTALL_INC_DIR)/GL
	$(INSTALL) -m 644 $(TOP)/include/GL/*.h \
		$(DESTDIR)$(INSTALL_INC_DIR)/GL

install-libgl: default gl.pc install-headers
	$(INSTALL) -d $(DESTDIR)$(INSTALL_LIB_DIR)
	$(INSTALL) -d $(DESTDIR)$(INSTALL_LIB_DIR)/pkgconfig
	$(MINSTALL) $(TOP)/$(LIB_DIR)/$(GL_LIB_GLOB) \
		$(DESTDIR)$(INSTALL_LIB_DIR)
	$(INSTALL) -m 644 gl.pc $(DESTDIR)$(INSTALL_LIB_DIR)/pkgconfig

install-osmesa: default osmesa.pc
	$(INSTALL) -d $(DESTDIR)$(INSTALL_LIB_DIR)
	$(INSTALL) -d $(DESTDIR)$(INSTALL_LIB_DIR)/pkgconfig
	$(MINSTALL) $(TOP)/$(LIB_DIR)/$(OSMESA_LIB_GLOB) \
		$(DESTDIR)$(INSTALL_LIB_DIR)
	$(INSTALL) -m 644 osmesa.pc $(DESTDIR)$(INSTALL_LIB_DIR)/pkgconfig

install-dri: default
	cd drivers/dri && $(MAKE) install



# Emacs tags
tags:
	etags `find . -name \*.[ch]` $(TOP)/include/GL/*.h


clean:
	-rm -f */*.o
	-rm -f */*/*.o
	-rm -f depend depend.bak libmesa.a libglapi.a
	-rm -f drivers/*/*.o
	-rm -f *.pc
	-@cd drivers/dri && $(MAKE) clean
	-@cd drivers/x11 && $(MAKE) clean
	-@cd drivers/osmesa && $(MAKE) clean
	-@cd x86 && $(MAKE) clean
	-@cd x86-64 && $(MAKE) clean


-include depend

=== src/gallium/drivers/i915/Makefile ===
TOP = ../../../..
include $(TOP)/configs/current

LIBNAME = i915

C_SOURCES = \
	i915_blit.c \
	i915_buffer.c \
	i915_clear.c \
	i915_flush.c \
	i915_context.c \
	i915_debug.c \
	i915_debug_fp.c \
	i915_state.c \
	i915_state_immediate.c \
	i915_state_dynamic.c \
	i915_state_derived.c \
	i915_state_emit.c \
	i915_state_sampler.c \
	i915_screen.c \
	i915_prim_emit.c \
	i915_prim_vbuf.c \
	i915_texture.c \
	i915_fpc_emit.c \
	i915_fpc_translate.c \
	i915_surface.c 

include ../../Makefile.template

=== src/gallium/drivers/llvmpipe/Makefile ===
TOP = ../../../..
include $(TOP)/configs/current

LIBNAME = llvmpipe

CFLAGS += -D__STDC_CONSTANT_MACROS -D__STDC_LIMIT_MACROS

C_SOURCES = \
	lp_bld_alpha.c \
	lp_bld_arit.c \
	lp_bld_blend_aos.c \
	lp_bld_blend_logicop.c \
	lp_bld_blend_soa.c \
	lp_bld_const.c \
	lp_bld_conv.c \
	lp_bld_debug.c \
	lp_bld_depth.c \
	lp_bld_flow.c \
	lp_bld_format_aos.c \
	lp_bld_format_query.c \
	lp_bld_format_soa.c \
	lp_bld_interp.c \
	lp_bld_intr.c \
	lp_bld_logic.c \
	lp_bld_pack.c \
	lp_bld_sample.c \
	lp_bld_sample_soa.c \
	lp_bld_swizzle.c \
	lp_bld_struct.c \
	lp_bld_tgsi_soa.c \
	lp_bld_type.c \
	lp_buffer.c \
	lp_clear.c \
	lp_context.c \
	lp_draw_arrays.c \
	lp_flush.c \
	lp_jit.c \
	lp_prim_vbuf.c \
	lp_setup.c \
	lp_query.c \
	lp_screen.c \
	lp_state_blend.c \
	lp_state_clip.c \
	lp_state_derived.c \
	lp_state_fs.c \
	lp_state_rasterizer.c \
	lp_state_sampler.c \
	lp_state_surface.c \
	lp_state_vertex.c \
	lp_state_vs.c \
	lp_surface.c \
	lp_tex_cache.c \
	lp_tex_sample_c.c \
	lp_tex_sample_llvm.c \
	lp_texture.c \
	lp_tile_cache.c \
	lp_tile_soa.c

CPP_SOURCES = \
	lp_bld_misc.cpp

include ../../Makefile.template

lp_tile_soa.c: lp_tile_soa.py ../../auxiliary/util/u_format_parse.py ../../auxiliary/util/u_format_access.py ../../auxiliary/util/u_format.csv
	python lp_tile_soa.py ../../auxiliary/util/u_format.csv > $@

=== src/gallium/state_trackers/vega/Makefile ===
# src/mesa/Makefile

TOP = ../../../..
include $(TOP)/configs/current
GALLIUM = $(TOP)

### Lists of source files, included by Makefiles

VG_SOURCES = \
           api_context.c   \
           api_filters.c   \
           api_images.c    \
           api_masks.c     \
           api_misc.c      \
           api_paint.c     \
           api_params.c    \
           api_path.c      \
           api_text.c      \
           api_transform.c \
           vgu.c        \
           vg_context.c \
           vg_state.c   \
           vg_tracker.c \
           vg_translate.c \
           polygon.c    \
           bezier.c     \
           path.c       \
           paint.c      \
           arc.c \
           image.c \
           renderer.c \
           stroker.c \
           mask.c \
           shader.c \
           shaders_cache.c


### All the core C sources

ALL_SOURCES = \
        $(VG_SOURCES)


### Object files
VG_OBJECTS = \
	$(VG_SOURCES:.c=.o)

### Include directories

INCLUDE_DIRS = \
	-I$(TOP)/include \
	-I$(GALLIUM)/include \
	-I$(GALLIUM)/src/gallium/include \
	-I$(GALLIUM)/src/gallium/auxiliary

VG_LIB = OpenVG
VG_LIB_NAME = lib$(VG_LIB).so

VG_MAJOR = 1
VG_MINOR = 0
VG_TINY = 0

GALLIUM_LIBS = \
	$(GALLIUM)/src/gallium/auxiliary/pipebuffer/libpipebuffer.a \
	$(GALLIUM)/src/gallium/auxiliary/sct/libsct.a \
	$(GALLIUM)/src/gallium/auxiliary/draw/libdraw.a \
	$(GALLIUM)/src/gallium/auxiliary/rtasm/librtasm.a \
	$(GALLIUM)/src/gallium/auxiliary/translate/libtranslate.a \
	$(GALLIUM)/src/gallium/auxiliary/cso_cache/libcso_cache.a \
	$(GALLIUM)/src/gallium/auxiliary/util/libutil.a \
	$(GALLIUM)/src/gallium/auxiliary/tgsi/libtgsi.a

.SUFFIXES : .cpp

.c.o:
	$(CC) -c $(INCLUDE_DIRS) $(CFLAGS) $< -o $@

.cpp.o:
	$(CXX) -c $(INCLUDE_DIRS) $(CXXFLAGS) $< -o $@

.S.o:
	$(CC) -c $(INCLUDE_DIRS) $(CFLAGS) $< -o $@


default: depend subdirs $(TOP)/$(LIB_DIR)/$(VG_LIB_NAME)

# Make the OpenVG library
$(TOP)/$(LIB_DIR)/$(VG_LIB_NAME): $(VG_OBJECTS) $(GALLIUM_LIBS)
	$(TOP)/bin/mklib -o $(VG_LIB) \
		-major $(VG_MAJOR) \
		-minor $(VG_MINOR) \
		-patch $(VG_TINY) \
		-install $(TOP)/$(LIB_DIR) \
		$(VG_OBJECTS) $(GALLIUM_LIBS) \
		-Wl,--whole-archive $(LIBS) -Wl,--no-whole-archive $(SYS_LIBS)

######################################################################
# Generic stuff

depend: $(ALL_SOURCES)
	@ echo "running $(MKDEP)"
	@ rm -f depend  # workaround oops on gutsy?!?
	@ touch depend
	@ $(MKDEP) $(MKDEP_OPTIONS) $(DEFINES) $(INCLUDE_DIRS) $(ALL_SOURCES) \
		> /dev/null 2>/dev/null


subdirs:

install: default
	$(INSTALL) -d $(INSTALL_DIR)/include/VG
	$(INSTALL) -d $(INSTALL_DIR)/$(LIB_DIR)
	$(INSTALL) -m 644 $(TOP)/include/VG/*.h $(INSTALL_DIR)/include/VG
	@if [ -e $(TOP)/$(LIB_DIR)/$(VG_LIB_NAME) ]; then \
		$(INSTALL) $(TOP)/$(LIB_DIR)/libOpenVG* $(INSTALL_DIR)/$(LIB_DIR); \
	fi

# Emacs tags
tags:
	etags `find . -name \*.[ch]` $(TOP)/include/VG/*.h

clean:
	-rm -f *.o
	-rm -f */*.o
	-rm -f */*/*.o
	-rm -f depend depend.bak

include depend

=== src/gallium/state_trackers/glx/xlib/Makefile ===
TOP = ../../../../..
include $(TOP)/configs/current

LIBNAME = xlib

LIBRARY_INCLUDES = \
	-I$(TOP)/include \
	-I$(TOP)/src/mesa

C_SOURCES = \
	glx_api.c \
	glx_getproc.c \
	glx_usefont.c \
	xm_api.c

include ../../../Makefile.template

=== src/gallium/winsys/drm/nouveau/xorg/Makefile ===
TARGET     = modesetting_drv.so
CFILES     = $(wildcard ./*.c)
OBJECTS    = $(patsubst ./%.c,./%.o,$(CFILES))
TOP        = ../../../../../..

include $(TOP)/configs/current

INCLUDES = \
	$(shell pkg-config --cflags-only-I pixman-1 xorg-server libdrm xproto) \
	-I../gem \
	-I$(TOP)/src/gallium/include \
	-I$(TOP)/src/gallium/drivers \
	-I$(TOP)/src/gallium/auxiliary \
	-I$(TOP)/src/mesa \
	-I$(TOP)/include \
	-I$(TOP)/src/egl/main

LIBS = \
	$(TOP)/src/gallium/state_trackers/xorg/libxorgtracker.a \
	$(TOP)/src/gallium/winsys/drm/nouveau/drm/libnouveaudrm.a \
	$(TOP)/src/gallium/drivers/nv04/libnv04.a \
	$(TOP)/src/gallium/drivers/nv10/libnv10.a \
	$(TOP)/src/gallium/drivers/nv20/libnv20.a \
	$(TOP)/src/gallium/drivers/nv30/libnv30.a \
	$(TOP)/src/gallium/drivers/nv40/libnv40.a \
	$(TOP)/src/gallium/drivers/nv50/libnv50.a \
	$(TOP)/src/gallium/drivers/nouveau/libnouveau.a \
	$(GALLIUM_AUXILIARIES)

DRIVER_DEFINES = \
	-DHAVE_CONFIG_H


#############################################



all default: $(TARGET)

$(TARGET): $(OBJECTS) Makefile $(TOP)/src/gallium/state_trackers/xorg/libxorgtracker.a $(LIBS)
	$(TOP)/bin/mklib -noprefix -o $@ \
	$(OBJECTS) $(LIBS) $(shell pkg-config --libs libdrm) -ldrm_nouveau

clean:
	rm -rf $(OBJECTS) $(TARGET)

install:
	$(INSTALL) -d $(DESTDIR)/$(XORG_DRIVER_INSTALL_DIR)
	$(MINSTALL) -m 755 $(TARGET) $(DESTDIR)/$(XORG_DRIVER_INSTALL_DIR)


##############################################


.c.o:
	$(CC) -c $(CFLAGS) $(INCLUDES) $(DRIVER_DEFINES) $< -o $@


##############################################

.PHONY	= all clean install

=== src/gallium/winsys/drm/radeon/xorg/Makefile ===
TARGET     = modesetting_drv.so
CFILES     = $(wildcard ./*.c)
OBJECTS    = $(patsubst ./%.c,./%.o,$(CFILES))
GALLIUMDIR = ../../../..
TOP        = ../../../../../..

include ${TOP}/configs/current

CFLAGS = -DHAVE_CONFIG_H \
         -g -Wall -Wimplicit-function-declaration -fPIC \
         $(shell pkg-config --cflags pixman-1 xorg-server libdrm xproto) \
         -I${GALLIUMDIR}/include \
         -I${GALLIUMDIR}/drivers \
         -I${GALLIUMDIR}/auxiliary \
         -I${TOP}/src/mesa \
         -I$(TOP)/include \
         -I$(TOP)/src/egl/main

LIBS = \
	$(GALLIUMDIR)/state_trackers/xorg/libxorgtracker.a \
	$(GALLIUMDIR)/winsys/drm/radeon/core/libradeonwinsys.a \
	$(TOP)/src/gallium/drivers/r300/libr300.a \
	$(TOP)/src/gallium/drivers/trace/libtrace.a \
	$(TOP)/src/gallium/drivers/softpipe/libsoftpipe.a \
	$(GALLIUM_AUXILIARIES)

#############################################



all default: $(TARGET)

$(TARGET): $(OBJECTS) Makefile $(GALLIUMDIR)/state_trackers/xorg/libxorgtracker.a
	$(TOP)/bin/mklib -noprefix -o $@ \
	$(OBJECTS) $(LIBS) $(shell pkg-config --libs libdrm) -ldrm_radeon

clean:
	rm -rf $(OBJECTS) $(TARGET)

install:
	$(INSTALL) -d $(DESTDIR)/$(XORG_DRIVER_INSTALL_DIR)
	$(MINSTALL) -m 755 $(TARGET) $(DESTDIR)/$(XORG_DRIVER_INSTALL_DIR)

.PHONY	= all clean install

=== src/gallium/winsys/drm/vmware/dri/Makefile ===

TOP = ../../../../../..
include $(TOP)/configs/current

LIBNAME = vmwgfx_dri.so

PIPE_DRIVERS = \
	$(TOP)/src/gallium/state_trackers/dri/libdridrm.a \
	$(TOP)/src/gallium/winsys/drm/vmware/core/libsvgadrm.a \
	$(TOP)/src/gallium/drivers/trace/libtrace.a \
	$(TOP)/src/gallium/drivers/svga/libsvga.a

C_SOURCES = \
	$(COMMON_GALLIUM_SOURCES)

include ../../Makefile.template

symlinks:
